SYD-RUN(1)

NAME

syd-run - run a program inside a container with the given process ID

SYNOPSIS

syd-run [-hvacimnptuU] pid {command [arg...]}

DESCRIPTION

The syd-run utility runs a program inside a container with the given process ID.

This uses setns(2) with a PIDFd using pidfd_open(2) and requires Linux-5.8 or newer.

OPTIONS

-h | Display help.
-v | Be verbose. Print informational messages on standard error.
-a | Auto-detect namespaces to enter. PID and Time namespaces are excluded. This is the default.
-c | Enter into CGroup namespace.
-i | Enter into IPC namespace.
-m | Enter into mount namespace.
-n | Enter into network namespace.
-p | Enter into PID namespace.
-t | Enter into time namespace.
-u | Enter into UTS namespace.
-U | Enter into user namespace.

SEE ALSO

syd(1), syd(2), syd(5), setns(2), pidfd_open(2)

syd homepage: https://sydbox.exherbo.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.